Bug 1017102 - [Performace] Loading TestCases in pagination way in the TestPlan page
[Performace] Loading TestCases in pagination way in the TestPlan page
Status: VERIFIED
Product: TCMS
Classification: Other
Component: Application (Show other bugs)
Devel
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: cqi
tools-bugs
: Performance, Task
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-09 05:17 EDT by cqi
Modified: 2016-05-26 09:32 EDT (History)
6 users (show)

See Also:
Fixed In Version: 3.8.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description cqi 2013-10-09 05:17:52 EDT
Description of problem:
Currently, all TestCases are loaded completely in Cases tab within a TestPlan page, which hurts the performance seriously TCMS developers have recognized. Loading them in pagination way will give an considerable performance improvement.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 cqi 2013-10-23 22:56:27 EDT
Now, the cases are being loaded page by page. And user can see the remaining number of cases to be loaded. The page size is fixed, and configurable during deployment.

Note You need to log in before you can comment on or make changes to this bug.